@echo off

set product=%1
set FwVer=%2

set app=GW-7662v12.load
set cfg=GW-7662_cfg.load
set stack=PNET_Project_SC0000007_003.load
set web_1=sfs_bat.load
set web_2=sfs_data.load
set bloader=bootloader_SC0000002_v001.load

REM kill tftpd32.exe first
taskkill /F /IM tftpd32.exe
rem ----------------------------------------------
if exist COPY_File.txt del .\COPY_File.txt

cd .\%product%\%FwVer%\App
copy %app% ..\..\..\userProject.load
cd..\..\..\

cd .\%product%\%FwVer%\Config
copy %cfg% ..\..\..\DevCfg.load
cd..\..\..\

cd .\%product%\%FwVer%\PROFINET
copy %stack% ..\..\..\PNET_Project.load
cd..\..\..\

cd .\%product%\%FwVer%\Web
copy %web_1% ..\..\..\sfs_bat.load
copy %web_2% ..\..\..\sfs_data.load
cd..\..\..\

cd .\%product%\%FwVer%\Bootloader
copy %bloader% ..\..\..\Bootloader.load
cd..\..\..\

rem ----------------------------------------------
echo.empty > .\COPY_File.txt